<mat-form-field class="select-input" appearance="outline" floatLabel="never" *ngIf="options">
  <mat-select [placeholder]="label" disableOptionCentering [(ngModel)]="value" [errorStateMatcher]="errorStateMatcher"
              [multiple]="multiple">
    <ng-container *ngIf="group">
      <mat-optgroup *ngFor="let group of options; trackBy: trackByFn" [label]="'-- ' + group.directory + ' --'">
        <mat-option *ngFor="let option of group.suboptions; trackBy: trackByFn"
                    [value]="option.value">
          {{ option.label }}
        </mat-option>
      </mat-optgroup>
    </ng-container>
    <ng-container *ngIf="!group">
      <cdk-virtual-scroll-viewport [itemSize]="itemSize" [style.height.px]="calculateHeightSelect()" [minBufferPx]="210" [maxBufferPx]="210">
        <mat-option *cdkVirtualFor="let option of options; trackBy: trackByFn"
                    [value]="option.value">
          {{ (option.label | translate) || option.label }}
        </mat-option>
      </cdk-virtual-scroll-viewport>
    </ng-container>
  </mat-select>
  <mat-error *ngIf="showError">{{ errorTxt }}</mat-error>
</mat-form-field>
